Microsoft Internet Explorer 7 and Quicken Compatibility

The latest releases of Quicken 2005 and later are compatible with Microsoft Internet Explorer 7. There are no known issues with these versions of Quicken and Internet Explorer 7 provided you have the latest release installed.

Note: Quicken 2004 and earlier have not been tested with Internet Explorer 7 and Intuit cannot guarantee Quicken functionality when using Internet Explorer 7. If you encounter problems, Intuit recommends upgrading to the latest version of Quicken or reverting to Internet Explorer 6.

Search Support:

Search form

Tip: To find out which version of Quicken you are using, open Quicken go to Help menu and select About Quicken.